#!/usr/bin/perl
## $Id: delimgs.pl 326 2014-04-13 21:00:33Z zw $

use strict;
our ($imgpath, $jpgdir, $pdfdir, @imgs) = @ARGV;
our %imgs = map { $_ => $_ } @imgs;

foreach (`/usr/bin/find $imgpath/{$jpgdir,$pdfdir}/ -type f`) {
  chomp;
  if (/\/($jpgdir|$pdfdir)\/(\S+)\.\S+$/) {
    next if exists $imgs{$2};
  }
  print "Deleting $_\n";
  unlink $_;
}
